Open CASCADE Technology: BinMXCAFDoc_ColorToolDriver Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BinMXCAFDoc_ColorToolDriver Class Reference

`#include <BinMXCAFDoc_ColorToolDriver.hxx>`

Inheritance diagram for BinMXCAFDoc_ColorToolDriver:
[legend]

## Public Member Functions
| BinMXCAFDoc_ColorToolDriver (const Handle< CDM_MessageDriver > &theMsgDriver)
virtual Handle< TDF_Attribute > | NewEmpty () const
| Creates a new attribute from TDF. More...
virtual Standard_Boolean | Paste (const BinObjMgt_Persistent &theSource, const Handle< TDF_Attribute > &theTarget, BinObjMgt_RRelocationTable &theRelocTable) const
| Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings. More...
virtual void | Paste (const Handle< TDF_Attribute > &theSource, BinObjMgt_Persistent &theTarget, BinObjMgt_SRelocationTable &theRelocTable) const
| Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings. More...
Public Member Functions inherited from BinMDF_ADriver
const Handle< Standard_Type > & | SourceType () const
| Returns the type of source object, inheriting from Attribute from TDF. More...
const TCollection_AsciiString & | TypeName () const
| Returns the type name of the attribute object. More...
void | WriteMessage (const TCollection_ExtendedString &theMessage) const
| Send message to Application (usually when error occurres) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from BinMDF_ADriver
| BinMDF_ADriver (const Handle< CDM_MessageDriver > &theMsgDriver, const Standard_CString theName=NULL)
Protected Attributes inherited from BinMDF_ADriver
TCollection_AsciiString | myTypeName

## Constructor & Destructor Documentation

BinMXCAFDoc_ColorToolDriver::BinMXCAFDoc_ColorToolDriver | ( | const Handle< CDM_MessageDriver > & | theMsgDriver | ) |

## Member Function Documentation

virtual Handle< TDF_Attribute > BinMXCAFDoc_ColorToolDriver::NewEmpty | ( |  | ) | const
| virtual

Creates a new attribute from TDF.

Implements BinMDF_ADriver.

virtual Standard_Boolean BinMXCAFDoc_ColorToolDriver::Paste | ( | const BinObjMgt_Persistent & | aSource,
|  | const Handle< TDF_Attribute > & | aTarget,
|  | BinObjMgt_RRelocationTable & | aRelocTable
| ) |  | const
| virtual

Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings.

Implements BinMDF_ADriver.

virtual void BinMXCAFDoc_ColorToolDriver::Paste | ( | const Handle< TDF_Attribute > & | aSource,
|  | BinObjMgt_Persistent & | aTarget,
|  | BinObjMgt_SRelocationTable & | aRelocTable
| ) |  | const
| virtual

Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings.

Implements BinMDF_ADriver.

The documentation for this class was generated from the following file:

- BinMXCAFDoc_ColorToolDriver.hxx